#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N;
    scanf("%d", &N);
    int niz[N];
    for(int i=0;i<N;i++)
    {
        scanf("%d", &niz[i]);
    }
    int temp;
    for(int i=0;i<N;i++)
    {
        for(int j=i;j<N;j++)
        {
            if(niz[i]<niz[j])
            {
                temp=niz[i];
                niz[i]=niz[j];
                niz[j]=temp;
                goto tacka;
            }
        }
        if(i+1==N)
        {
            for(int j=0,a=1;j<N;a++)
            {
                if(niz[j]==niz[a])
                {
                    goto tacka;
                }
                if(a+1==N)
                {
                    j++;
                    a=j;
                    if(j+1==N)
                        break;
                }
            }
            temp=niz[i-1];
            niz[i-1]=niz[i];
            niz[i]=temp;
        }
    }
    tacka:
    for(int i=0;i<N;i++)
    {
        printf("%d", niz[i]);
    }
    return 0;
}